﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ImageFormat.cs" company="OxyPlot">
//   Copyright (c) 2014 OxyPlot contributors
// </copyright>
// <summary>
//   Defines the image format.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace OxyPlot
{
    /// <summary>
    /// Defines the image format.
    /// </summary>
    public enum ImageFormat
    {
        /// <summary>
        /// The image is a PNG image.
        /// </summary>
        Png,

        /// <summary>
        /// The image is a bitmap image.
        /// </summary>
        Bmp,

        /// <summary>
        /// The image is a JPEG image.
        /// </summary>
        Jpeg,

        /// <summary>
        /// The image format is unknown.
        /// </summary>
        Unknown
    }
}