﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="OxyMouseButton.cs" company="OxyPlot">
//   Copyright (c) 2014 OxyPlot contributors
// </copyright>
// <summary>
//   Defines values that specify the buttons on a mouse device.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace OxyPlot
{
    /// <summary>
    /// Defines values that specify the buttons on a mouse device.
    /// </summary>
    public enum OxyMouseButton
    {
        /// <summary>
        /// No mouse button.
        /// </summary>
        None = 0,

        /// <summary>
        /// The left mouse button.
        /// </summary>
        Left = 1,

        /// <summary>
        /// The middle mouse button.
        /// </summary>
        Middle = 2,

        /// <summary>
        /// The right mouse button.
        /// </summary>
        Right = 3,

        /// <summary>
        /// The first extended mouse button.
        /// </summary>
        XButton1 = 4,

        /// <summary>
        /// The second extended mouse button.
        /// </summary>
        XButton2 = 5,
    }
}