﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LineStyle.cs" company="OxyPlot">
//   Copyright (c) 2014 OxyPlot contributors
// </copyright>
// <summary>
//   Defines the style of a line.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace OxyPlot
{
    /// <summary>
    /// Defines the style of a line.
    /// </summary>
    public enum LineStyle
    {
        /// <summary>
        /// The solid line style.
        /// </summary>
        Solid,

        /// <summary>
        /// The dash line style.
        /// </summary>
        Dash,

        /// <summary>
        /// The dot line style.
        /// </summary>
        Dot,

        /// <summary>
        /// The dash dot line style.
        /// </summary>
        DashDot,

        /// <summary>
        /// The dash dash dot line style.
        /// </summary>
        DashDashDot,

        /// <summary>
        /// The dash dot dot line style.
        /// </summary>
        DashDotDot,

        /// <summary>
        /// The dash dash dot dot line style.
        /// </summary>
        DashDashDotDot,

        /// <summary>
        /// The long dash line style.
        /// </summary>
        LongDash,

        /// <summary>
        /// The long dash dot line style.
        /// </summary>
        LongDashDot,

        /// <summary>
        /// The long dash dot dot line style.
        /// </summary>
        LongDashDotDot,

        /// <summary>
        /// The hidden line style.
        /// </summary>
        None,

        /// <summary>
        /// The automatic line style.
        /// </summary>
        Automatic
    }
}