﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LabelPlacement.cs" company="OxyPlot">
//   Copyright (c) 2014 OxyPlot contributors
// </copyright>
// <summary>
//   Placement of the labels.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace OxyPlot.Series
{
    /// <summary>
    /// Placement of the labels.
    /// </summary>
    public enum LabelPlacement
    {
        /// <summary>
        /// Placed outside the bar.
        /// </summary>
        Outside,

        /// <summary>
        /// Placed inside the bar.
        /// </summary>
        Inside,

        /// <summary>
        /// Placed inside in the middle/center of the bar.
        /// </summary>
        Middle,

        /// <summary>
        /// Placed inside at the base of the bar.
        /// </summary>
        Base
    }
}